Evaluations
List annotations for a trace
GET /v1/traces/{traceId}/annotations · SDK listTraceAnnotations · CLI deployments eval annotation list
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
traceId*stringW3C trace ID (32 lowercase hex characters).
Match
^[a-f0-9]{32}$cursor?stringLength
1 <= length <= 8192limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListAnnotationsResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/traces/string/annotations" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string"{ "items": [ { "authorPrincipalId": "string", "body": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "label": "string", "runId": "string", "spanId": "string", "tags": [ "string" ], "traceId": "string" } ], "nextCursor": "string"}